Name:          flex
Epoch:         1
Version:       2.6.4
Release:       1mamba
Summary:       A tool for creating scanners (loxical pattern recognizers)
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://flex.sourceforge.net/
Source:        https://github.com/westes/flex.git/v%{version}/flex-%{version}.tar.bz2
Patch0:        flex-2.6.0-gcc-5.3.0-c-comment.patch
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRequires: bash
BuildRequires: texinfo
%if "%{stage1}" != "1"
BuildRequires: indent >= 2.2.9
BuildRequires: help2man >= 1.33.1
%endif
Requires(post):%{__install_info}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
The flex program generates scanners.
Scanners are programs which can recognize lexical patterns in text.
Flex takes pairs of regular expressions and C code as input and generates a C source file as output.
The output file is compiled and linked with a library to produce an executable.
The executable searches through its input for occurrences of the regular expressions.
When a match is found, it executes the corresponding C code.
Flex was designed to work with both Yacc and Bison, and is used by many programs as part of their build process.

You should install flex if you are going to use your system for application development.

%package -n libfl
Group:         System/Libraries
Summary:       Flex shared library

%description -n libfl
This package contains shared libraries for %{name}.

%package -n libfl-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      libfl = %{?epoch:%epoch:}%{version}-%{release}
## note: you can add this requirement if .pc files are provided by this package
#Requires:      pkg-config

%description -n libfl-devel
This package contains libraries and header files for developing applications that use %{name}.

%prep
%setup -q
#%patch0 -p1

%build
./autogen.sh
%configure
%if "%{_host}" != "%{_build}"
sed -i "/#define malloc rpl_malloc/d" config.h
sed -i "/#define realloc rpl_realloc/d" config.h
%endif
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

ln -s flex %{buildroot}/%{_bindir}/lex
#ln -s flex %{buildroot}/%{_bindir}/flex++

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
%install_info %{name}.info

%preun
%uninstall_info %{name}.info
exit 0

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/flex
%{_bindir}/flex++
%{_bindir}/lex
%{_datadir}/info/*
%{_datadir}/man/man1/*

%files -n libfl
%defattr(-,root,root)
%{_libdir}/libfl.so.*
#%{_libdir}/libfl_pic.so.*

%files -n libfl-devel
%defattr(-,root,root)
%{_includedir}/FlexLexer.h
%{_libdir}/libfl.a
%{_libdir}/libfl.la
%{_libdir}/libfl.so
#%{_libdir}/libfl_pic.a
#%{_libdir}/libfl_pic.la
#%{_libdir}/libfl_pic.so
%dir %{_datadir}/doc/flex
%{_datadir}/doc/flex/*
#%doc COPYING NEWS README* TODO THANKS

%changelog
* Mon Oct 16 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.4-1mamba
- update to 2.6.4

* Sat Dec 17 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.1-1mamba
- downgrade to 2.6.1, 2.6.2 is too buggy, bump epoch

* Sat Oct 29 2016 Automatic Build System <autodist@mambasoft.it> 2.6.2-1mamba
- automatic version update by autodist

* Sat Jun 04 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.1-1mamba
- update to 2.6.1

* Sat Dec 26 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.0-2mamba
- added upstream patch to fix a cxx-style comment in c code compiler warning

* Sat Nov 21 2015 Automatic Build System <autodist@mambasoft.it> 2.6.0-1mamba
- automatic version update by autodist

* Thu Mar 27 2014 Automatic Build System <autodist@mambasoft.it> 2.5.39-1mamba
- automatic version update by autodist

* Sat Feb 15 2014 Automatic Build System <autodist@mambasoft.it> 2.5.38-1mamba
- automatic version update by autodist

* Sat Aug 04 2012 Automatic Build System <autodist@mambasoft.it> 2.5.37-1mamba
- automatic version update by autodist

* Sun Jul 22 2012 Automatic Build System <autodist@mambasoft.it> 2.5.36-1mamba
- automatic version update by autodist

* Wed Feb 27 2008 Aleph0 <aleph0@openmamba.org> 2.5.35-1mamba
- update to 2.5.35

* Mon Dec 17 2007 Aleph0 <aleph0@openmamba.org> 2.5.34-1mamba
- update to 2.5.34

* Wed Sep 19 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.33-1mamba
- update to 2.5.33

* Mon Mar 13 2006 Davide Madrisan <davide.madrisan@qilinux.it> 2.5.33-6qilnx
- security update for CVE-2006-0459 (qibug#139)

* Mon Nov 28 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.5.31-5qilnx
- added lex, symlink to flex

* Mon Sep 26 2005 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 2.5.31-4qilnx
- specfile updated

* Fri Nov 19 2004 Davide Madrisan <davide.madrisan@qilinux.it> 2.5.31-3qilnx
- fixed the error "`yytext_ptr' undeclared ..."

* Wed Mar 31 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.31-2qilnx
- added a patch that fixes some compatibility issues with 2.5.4a

* Thu Feb 12 2004 Davide Madrisan <davide.madrisan@qilinux.it> 2.5.31-1qilnx
- specfile updated
- rebuilt with flex 2.5.31

* Mon Apr 14 2003 Alessandro Ramazzina <alessandro.ramazzina@qinet.it> 2.5.4a-1qilnx
- creation of flex package
